httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luca Toscano <toscano.l...@gmail.com>
Subject [users@httpd] Re: users Digest 30 Jan 2019 15:52:55 -0000 Issue 5789
Date Thu, 28 Feb 2019 08:00:26 GMT
Hi Jan,

I tried to check the tar.gz but I only see traces files (I suppose
from strace) and an error log, meanwhile what I meant in my last email
was a core dump file. I am afraid but with what you provided is a bit
difficult to understand what is the problem..

Luca

Il giorno mer 27 feb 2019 alle ore 09:58 <Jan.SYKORA@rb.cz> ha scritto:
>
> Hi Luca,
>
> Thank you for your information.
> I tried to debug this situation as was described in article.
> But unfortunatelly I was able to do only core dump from this fall. I'm sending you this
dump file. Are you able to identify in which module is my problem?
>
> Thanks
> Jan
>
>
>
>
>
>
> ----- Message from Luca Toscano <toscano.luca@gmail.com> on Wed, 30 Jan 2019 07:52:37
-0800 -----
> To:
> users@httpd.apache.org
> Subject:
> Re: [users@httpd] Segmentation fault when builded with openssl 1.1.1
>
> Hi!
>
> Il giorno lun 28 gen 2019 alle ore 06:36 <Jan.SYKORA@rb.cz> ha scritto:
> >
> > Hi,
> >
> > I have an issue with version httpd 2.4.38 when it is builded with openssl 1.1.1
and mod_cluster
> > There are repeated error messages in error.log:
> >
> > AH00052: child pid xxxx exit signal Segmentation fault (11)
> >
> > These error messages are suppressed when mod_ssl is disabled
> >
> > Builded on Linux 3.10.0-693.1.1.el7.x86_64
> >
> > httpd server builded with:
> >
> > APR=apr-1.6.5.tar.gz
> > APR_UTIL=apr-util-1.6.1.tar.gz
> > HTTPD=httpd-2.4.38.tar.gz
> > LIBXML=libxml2-2.9.7.tar.gz
> > M4=m4-1.4.18.tar.gz
> > MOD_CLUSTER=mod_cluster-1.3.10.Final.tar.gz
> > MOD_SECURITY=modsecurity-2.9.2.tar.gz
> > NGHTTP2=nghttp2-1.36.0.tar.gz
> > OPENSSL=openssl-1.1.1a.tar.gz
> > PCRE=pcre-8.42.tar.gz
> >
> > Do you have any idea what could be wrong or it is possible bug in actual version
of httpd server? Because when i tried to build httpd 2.4.37 with same prerequesities with
same way and also with openssl 1.1.1 there is no problem with this combination.
>
> could you follow http://httpd.apache.org/dev/debugging.html#crashes
> and report back the stacktrace of the segmentation fault? It would be
> very useful to understand what module is triggering this. mod_cluster
> is not part of the standard httpd distribution, so in case of issues
> with it I'd suggest to follow up with them to get more info about how
> to fix the issue.
>
> Thanks!
>
> Luca
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message